Bug 478614 - Review Request: python-transitfeed - Google Transit Feed Specification library and tools
Review Request: python-transitfeed - Google Transit Feed Specification librar...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 00:55 EST by Ian Weller
Modified: 2009-01-21 16:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonstanley: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2009-01-02 00:55:07 EST
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-transitfeed/1.1.9-2/python-transitfeed.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-transitfeed/1.1.9-2/python-transitfeed-1.1.9-2.fc10.src.rpm

Description:
This module provides a library for reading, writing and validating Google
Transit Feed Specification files. It includes some scripts that validate a
feed, display it using the Google Maps API and the start of a KML importer and
exporter.
Comment 1 Jon Stanley 2009-01-02 02:00:03 EST
First glance -

Builds fine in mock, however /usr/bin/merge is actually owned by RCS:

[jstanley@rugrat result]$ yum whatprovides /usr/bin/merge
Loaded plugins: refresh-packagekit
rcs-5.7-33.fc10.x86_64 : Revision Control System (RCS) file version management tools
Repo        : fedora
Matched from:
Filename    : /usr/bin/merge

Expect a full review soon.....
Comment 2 Jon Stanley 2009-01-02 02:26:00 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
See Notes - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
$ md5sum transitfeed-1.1.9.tar.gz /data/home/jstanley/Download/transitfeed-1.1.9.tar.gz 
709ab37eaaa3b56e7ff5f874091aa390  transitfeed-1.1.9.tar.gz
709ab37eaaa3b56e7ff5f874091aa390  /data/home/jstanley/Download/transitfeed-1.1.9.tar.gz

N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
N/A - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
N/A - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.

N/A - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

   python-transitfeed-1.1.9-2.fc10.noarch.rpm
   python-transitfeed = 1.1.9-2.fc10
-----------------------------------
   /usr/bin/python  
   python(abi) = 2.5
   pytz  

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
Didn't test - Should function as described.
OK - Should have sane scriptlets.
N/A - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
N/A - check for outstanding bugs on package. (For core merge reviews)

Issues:

1. As noted previously, /usr/bin/merge is a file conflict with RCS. That's a blocker :(
Comment 3 Ian Weller 2009-01-04 00:22:55 EST
Spec: http://ianweller.fedorapeople.org/SRPMS/python-transitfeed/1.1.9-3/python-transitfeed.spec
SRPM: http://ianweller.fedorapeople.org/SRPMS/python-transitfeed/1.1.9-3/python-transitfeed-1.1.9-3.fc10.src.rpm

* Sat Jan 03 2009 Ian Weller <ianweller@gmail.com> 1.1.9-3
- Add a "gfts-" prefix to everything in /usr/bin to get rid of naming conflicts
Comment 4 Jon Stanley 2009-01-04 01:23:44 EST
Looks good to me.

APPROVED
Comment 5 Ian Weller 2009-01-04 01:30:47 EST
Thanks, Jon.

New Package CVS Request
=======================
Package Name: python-transitfeed
Short Description: Google Transit Feed Specification library and tools
Owners: ianweller
Branches: F-9 F-10
Comment 6 Kevin Fenzi 2009-01-04 15:21:28 EST
cvs done.
Comment 7 Ian Weller 2009-01-04 15:27:01 EST
Thanks, Kevin.
Comment 8 Fedora Update System 2009-01-16 22:10:46 EST
python-transitfeed-1.1.9-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-transitfeed-1.1.9-4.fc9
Comment 9 Fedora Update System 2009-01-16 22:10:49 EST
python-transitfeed-1.1.9-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-transitfeed-1.1.9-4.fc10
Comment 10 Fedora Update System 2009-01-21 16:37:14 EST
python-transitfeed-1.1.9-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-21 16:39:28 EST
python-transitfeed-1.1.9-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.